| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/snapshots/detail | Lists detailed information for all Block Storage snapshots that the tenant who submits the request can access. |
Normal response codes: 200
This table shows the URI parameters for the list snapshots (detailed) request:
| Name | Type | Description |
|---|---|---|
| String | The unique identifier of the tenant or account. |
This operation does not require a request body.
Example 3.21. List snapshots (detailed): XML response
<?xml version='1.0' encoding='UTF-8'?>
<snapshots
xmlns:os-extended-snapshot-attributes="http://docs.openstack.org/openstack-block-storage/2.0/content/Extended_Snapshot_Attributes.html">
<snapshot status="available" description="Daily backup"
created_at="2013-02-25 07:30:12"
volume_id="5aa119a8-d25b-45a7-8d1b-88e127885635" size="30"
id="43f20e0e-2c2c-4770-9d4e-c3d769ae5470" name="snap-001"
os-extended-snapshot-attributes:project_id="0c2eba2c5af04d3f9e9d0d410b371fde"
os-extended-snapshot-attributes:progress="100%">
<metadata/>
</snapshot>
<snapshot status="available" description="Weekly backup"
created_at="2013-02-25 07:20:38"
volume_id="806092e3-7551-4fff-a005-49016f4943b1" size="1"
id="e820db06-58b5-439d-bac6-c01faa3f6499" name="snap-002"
os-extended-snapshot-attributes:project_id="0c2eba2c5af04d3f9e9d0d410b371fde"
os-extended-snapshot-attributes:progress="100%">
<metadata/>
</snapshot>
</snapshots>
Example 3.22. List snapshots (detailed): JSON response
{
"snapshots":[
{
"status":"available",
"os-extended-snapshot-attributes:progress":"100%",
"description":"Daily backup",
"created_at":"2013-02-25T07:30:12.000000",
"metadata":{
},
"volume_id":"5aa119a8-d25b-45a7-8d1b-88e127885635",
"os-extended-snapshot-attributes:project_id":"0c2eba2c5af04d3f9e9d0d410b371fde",
"size":30,
"id":"43f20e0e-2c2c-4770-9d4e-c3d769ae5470",
"name":"snap-001"
},
{
"status":"available",
"os-extended-snapshot-attributes:progress":"100%",
"description":"Weekly backup",
"created_at":"2013-02-25T07:20:38.000000",
"metadata":{
},
"volume_id":"806092e3-7551-4fff-a005-49016f4943b1",
"os-extended-snapshot-attributes:project_id":"0c2eba2c5af04d3f9e9d0d410b371fde",
"size":1,
"id":"e820db06-58b5-439d-bac6-c01faa3f6499",
"name":"snap-002"
}
]
}This operation does not return a response body.

